Blame SOURCES/valgrind-3.15.0-exp-sgcheck-no-aarch64.patch

baee74
commit 59784c512ec40e588b21cf5ae8e31e9c4f99d6b8
baee74
Author: Mark Wielaard <mark@klomp.org>
baee74
Date:   Sat May 18 14:55:50 2019 +0200
baee74
baee74
    aarch64 (arm64) isn't a supported architecture for exp-sgcheck.
baee74
    
baee74
    exp-sgcheck/pc_main.c contains:
baee74
    
baee74
       #if defined(VGA_arm) || defined(VGA_arm64)
baee74
          VG_(printf)("SGCheck doesn't work on ARM yet, sorry.\n");
baee74
          VG_(exit)(1);
baee74
       #endif
baee74
    
baee74
    But exp-sgcheck/tests/is_arch_supported checked against uname -m
baee74
    which returns aarch64 (not arm64). Fix the test check so the
baee74
    exp-sgcheck tests are skipped instead of producing failures.
baee74
baee74
diff --git a/exp-sgcheck/tests/is_arch_supported b/exp-sgcheck/tests/is_arch_supported
baee74
index 818cc61..d4c6191 100755
baee74
--- a/exp-sgcheck/tests/is_arch_supported
baee74
+++ b/exp-sgcheck/tests/is_arch_supported
baee74
@@ -10,6 +10,6 @@
baee74
 # architectures.
baee74
 
baee74
 case `uname -m` in
baee74
-  ppc*|arm*|s390x|mips*) exit 1;;
baee74
+  ppc*|aarch64|arm*|s390x|mips*) exit 1;;
baee74
   *)         exit 0;;
baee74
 esac